import 'package:hub/shared/helpers/storage/base_storage.dart';
import 'package:hub/shared/helpers/storage/storage_helper.dart';

abstract class LocalsLocalDataSource {
  Future<void> unlinkLocal();
}

class LocalsLocalDataSourceImpl {
  Future<void> unlinkLocal() async {
    await StorageHelper().set(KeychainStorageKey.clientUUID.value, '');
    await StorageHelper().set(KeychainStorageKey.clientName.value, '');
    await StorageHelper().set(KeychainStorageKey.ownerName.value, '');
  }
}
